#include "MenuTextUp_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextUp_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextUp_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_up;
}

std::shared_ptr<Entity> CreateMenuTextUp_Player2Keyboard()
{
	return std::make_shared<MenuTextUp_Player2Keyboard>();
}


